changeset 336:3cf8377a8fca

Fix packaging step.
author Rob Landley <rob@landley.net>
date Wed, 28 May 2008 15:09:53 -0500
parents c5fcc4948eae
children 7d996cbcc4ac
files package-mini-native.sh sources/toys/run-with-distcc.sh
diffstat 2 files changed, 6 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/package-mini-native.sh	Wed May 28 15:07:39 2008 -0500
+++ b/package-mini-native.sh	Wed May 28 15:09:53 2008 -0500
@@ -65,7 +65,7 @@
 # other than qemu, but put the default case in QEMU_BASE.
 
 emulator_command image-$ARCH.ext2 zImage-$ARCH \
-  'rw init=/tools/bin/qemu-setup.sh panic=1 PATH=$DISTCC_PATH_PREFIX/tools/bin $DISTCC_VARS' \
+  'rw init=/tools/bin/qemu-setup.sh panic=1 PATH=$DISTCC_PATH_PREFIX/tools/bin $KERNEL_EXTRA' \
   > "$WORK/run-emulator.sh" &&
 
 chmod +x "$WORK/run-emulator.sh"
@@ -74,16 +74,15 @@
 
 function shipit()
 {
-  cd "$WORK" || dienow
+  cd "$BUILD" || dienow
   rm -rf system-image-$ARCH
   mkdir system-image-$ARCH &&
-  ln {image-$ARCH.ext2,zImage-$ARCH,run-*.sh} \
-	"$SOURCES"/toys/run-with-{distcc,home}.sh \
-	system-image-$ARCH
+  ln "$WORK"/{image-$ARCH.ext2,zImage-$ARCH,run-*.sh} system-image-$ARCH &&
+  cp "$SOURCES"/toys/run-with-{distcc,home}.sh system-image-$ARCH
 
   [ $? -ne 0 ] && dienow
 
-  [ "$ARCH" == powerpc ] && ln "$SOURCES"/toys/ppc_rom.bin system-image-$ARCH
+  [ "$ARCH" == powerpc ] && cp "$SOURCES"/toys/ppc_rom.bin system-image-$ARCH
   tar cvjf "$BUILD"/system-image-$ARCH.tar.bz2 system-image-$ARCH
 }
 
--- a/sources/toys/run-with-distcc.sh	Wed May 28 15:07:39 2008 -0500
+++ b/sources/toys/run-with-distcc.sh	Wed May 28 15:09:53 2008 -0500
@@ -26,7 +26,7 @@
 
 export DISTCC_PATH_PREFIX=/tools/distcc:
 CPUS=$[$(echo /sys/devices/system/cpu/cpu[0-9]* | wc -w)+1]
-export DISTCC_VARS="DISTCC_HOSTS=10.0.2.2 CPUS=$CPUS"
+export KERNEL_EXTRA="DISTCC_HOSTS=10.0.2.2 CPUS=$CPUS $KERNEL_EXTRA"
 
 # Hand off to run-with-home.sh in the directory this script's running from.